2019-12-07 09:15 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001468FSSCP---------public2008-01-19 00:55
ReporterTolwyn 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityrandom
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001468: targeting function (T) not working properly in some missions
Descriptionthe targeting function (T) is broken. I can't cycle through friendly targets, the the targeting screen is blank. All I could do is to select a target with (Z). Then I can cycle right to a certain point and then same thing happens again. I've been unable to trace the problem to anything saga specific yet. It happens only in missions 13, 27 and 11. Xt builds work, so it probably an issue in the
2007-08-15 stable branch build. I believe Starman reported problems with the Prologue as well (when Kaz started adding autopilot stuff, although it is probably not related)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008478

Goober5000 (administrator)

Please provide the steps to reproduce this.

~0008480

KeldorKatarn (reporter)

Reproducing this is simple, just try targetting via T using one of the mentioned builds with one of the mentioned missions... after browsing through so many targets the function will suddenly stop working.

Making a FS-mission to reproduce this might not be possible. We don't know what causes it and it doesn't even happen with all Saga missions. Maybe it is a ship class specific problem, we don't know.

~0008499

Tolwyn (reporter)

I found out what is causing this

set-radar-max-range

I remembered, that the behaviour of this sexp was changed a few weeks ago. Removing the sexp from the mission did the trick.

~0008500

KeldorKatarn (reporter)

If there are ships in the mission which are targetable but out of radar range, T will freeze on them instead of skipping them. The 'fix' for the out of radar range bug must have cause THIS bug.

~0008501

Goober5000 (administrator)

Yeah, T should skip untargetable ships. I'll take a look.

~0008533

Tolwyn (reporter)

I'm going to bring this up one more time :)

I believe now, that the problem is not related to ships being out of range, but to the jump node model. For instance: in the 2nd mission of the Hermes campaign targeting function worked only after I removed the jump node model. It was not related to the sexp, which I disabled beforehand.

~0008536

Shade (developer)

Whew, you had me worried there for a moment :) I did some pretty thorough testing on that SEXP before going ahead with it and it most definitely should not ever let you target anything that's outside of the radar range, neither with T, Y or other targeting keys.

Also, the change to the SEXP did not actually change any underlying mechanics from the old version of it, it simply applied those same mechanics to all radar ranges instead of just infinite. So it really shouldn't be able to cause anything like this even if I messed up somewhere.

~0008537

Goober5000 (administrator)

It sounds like what's happening is the ship targeting is working properly, but the jump node targeting isn't. So we just have to make sure the ship checks are applied to jump nodes.

~0008622

ARSPR (reporter)

Last edited: 2007-11-07 16:49

Hey, I've just suffered this issue for the very first time and after some testing, I can confirm that the problem happens when T tries to target a jump node which is outside the radar-set-max-range setting.

~0008775

Tolwyn (reporter)

actually... I have run into the problem with the targeting function at least once in a mission, where there was just a ship (starbase) outside the radar range!

~0008826

Goober5000 (administrator)

Fixed.
+Notes

-Issue History
Date Modified Username Field Change
2007-08-22 07:51 Tolwyn New Issue
2007-08-25 19:13 taylor Category OpenGL => ---------
2007-09-03 22:47 Goober5000 Note Added: 0008478
2007-09-04 00:15 KeldorKatarn Note Added: 0008480
2007-09-05 16:09 Tolwyn Note Added: 0008499
2007-09-05 16:23 KeldorKatarn Note Added: 0008500
2007-09-05 17:11 Goober5000 Note Added: 0008501
2007-09-05 17:11 Goober5000 Assigned To => Goober5000
2007-09-05 17:11 Goober5000 Status new => assigned
2007-09-18 07:53 Tolwyn Note Added: 0008533
2007-09-18 16:02 Shade Note Added: 0008536
2007-09-18 16:33 Goober5000 Note Added: 0008537
2007-11-07 16:26 ARSPR Note Added: 0008622
2007-11-07 16:49 ARSPR Note Edited: 0008622
2008-01-04 08:43 Tolwyn Note Added: 0008775
2008-01-19 00:55 Goober5000 Note Added: 0008826
2008-01-19 00:55 Goober5000 Status assigned => resolved
2008-01-19 00:55 Goober5000 Resolution open => fixed
2008-01-19 00:55 Goober5000 Fixed in Version => 3.6.10
+Issue History